Package com.independentsoft.office.spreadsheet

# Enum Class PaneType

java.lang.Object
java.lang.Enum<PaneType>
com.independentsoft.office.spreadsheet.PaneType

All Implemented Interfaces:
  `Serializable`, `Comparable<PaneType>`, `Constable`

public enum PaneType extends Enum<PaneType>
The Enum PaneType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM_LEFT`
  `BOTTOM_RIGHT`
  `NONE`
  `TOP_LEFT`
  `TOP_RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PaneType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PaneType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOTTOM_LEFT

    public static final PaneType BOTTOM_LEFT

  - ### BOTTOM_RIGHT

    public static final PaneType BOTTOM_RIGHT

  - ### TOP_LEFT

    public static final PaneType TOP_LEFT

  - ### TOP_RIGHT

    public static final PaneType TOP_RIGHT

  - ### NONE

    public static final PaneType NONE

- ## Method Details

  - ### values

    public static PaneType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PaneType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null